package com.ho.business.service;

import com.ho.business.entity.TopologyJumpConfig;
import com.ho.business.vo.req.topologyJumpConfig.TopologyJumpConfigReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xwz
 * @desc: 电站拓扑跳转配置
 * @date 2024/5/14
 */
public interface TopologyJumpConfigService {

    /**
     * 根据条件查询电站拓扑跳转配置
     * @param vo
     * @return
     */
    List<TopologyJumpConfig> selectByParam(TopologyJumpConfigReq vo);

    /**
     * 保存更新
     * @param vo
     * @return
     */
    int saveOrUpdateTopologyJumpConfig(TopologyJumpConfig vo);

    int insertList(@Param("list") List<TopologyJumpConfig> list);

    int updateById(TopologyJumpConfig vo);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(@Param("ids") List<Integer> ids);
}
